Bug 220910 - dns/ldns: remove unneeded run dependency on lang/perl5
Summary: dns/ldns: remove unneeded run dependency on lang/perl5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2017-07-21 18:03 UTC by Andrew Romanenko
Modified: 2017-07-23 14:18 UTC (History)
2 users (show)

See Also:
jaap: maintainer-feedback+
koobs: merge-quarterly?


Attachments
ldns.patch (341 bytes, patch)
2017-07-21 18:03 UTC, Andrew Romanenko
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Romanenko 2017-07-21 18:03:49 UTC
Created attachment 184581 [details]
ldns.patch

Remove perl5 from run depends, used only for build
Comment 1 Danilo G. Baio freebsd_committer 2017-07-22 15:10:32 UTC
Confirm that this change passes QA (portlint, poudriere in particular). 
For more information, see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html
Comment 2 Jaap Akkerhuis 2017-07-22 21:23:40 UTC
Conformed, passes the QA in poudriere.
Comment 3 commit-hook freebsd_committer 2017-07-23 13:14:27 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Jul 23 13:13:11 UTC 2017
New revision: 446473
URL: https://svnweb.freebsd.org/changeset/ports/446473

Log:
  Remove perl5 from RUN_DEPENDS

  - Bump PORTREVISION for dependency change

  PR:		220910
  Submitted by:	Andrew Romanenko <melanhit@gmail.com>
  Approved by:	Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)
  MFH:		2017Q3

Changes:
  head/dns/ldns/Makefile
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-07-23 13:22:52 UTC
Committed. Thanks!
Comment 5 commit-hook freebsd_committer 2017-07-23 14:18:21 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Jul 23 14:17:17 UTC 2017
New revision: 446479
URL: https://svnweb.freebsd.org/changeset/ports/446479

Log:
  MFH: r446473

  Remove perl5 from RUN_DEPENDS

  - Bump PORTREVISION for dependency change

  PR:		220910
  Submitted by:	Andrew Romanenko <melanhit@gmail.com>
  Approved by:	Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/dns/ldns/Makefile